summaryrefslogtreecommitdiff
path: root/debian/taler-merchant.postinst
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2021-08-05 21:55:59 +0200
committerFlorian Dold <florian@dold.me>2021-08-05 21:55:59 +0200
commitb8a517c0d5b7f0121683b5c940164a2260091e59 (patch)
treef3d5aab5d19532f2d1deeeabca9995ec2b3d38ab /debian/taler-merchant.postinst
parentc926cb924673bdb261a5d79be1be888754604eac (diff)
downloadmerchant-b8a517c0d5b7f0121683b5c940164a2260091e59.tar.gz
merchant-b8a517c0d5b7f0121683b5c940164a2260091e59.tar.bz2
merchant-b8a517c0d5b7f0121683b5c940164a2260091e59.zip
adjust permissions
Diffstat (limited to 'debian/taler-merchant.postinst')
-rw-r--r--debian/taler-merchant.postinst8
1 files changed, 7 insertions, 1 deletions
diff --git a/debian/taler-merchant.postinst b/debian/taler-merchant.postinst
index b306d8cc..2f54b038 100644
--- a/debian/taler-merchant.postinst
+++ b/debian/taler-merchant.postinst
@@ -21,7 +21,13 @@ configure)
adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home --home ${TALER_HOME} ${_USERNAME}
fi
- # Setup postgres database (needs dbconfig-pgsql package)
+ if ! dpkg-statoverride --list /etc/taler/secrets/merchant-db.secret.conf >/dev/null 2>&1; then
+ dpkg-statoverride --add --update \
+ taler-merchant-httpd root 460 \
+ /etc/taler/secrets/merchant-db.secret.conf
+ fi
+
+ # Set up postgres database (needs dbconfig-pgsql package)
if [ -f /usr/share/dbconfig-common/dpkg/postinst.pgsql ]; then
. /usr/share/dbconfig-common/dpkg/postinst.pgsql
dbc_pgsql_createdb_encoding="UTF8"